package com.chelvc.cloud.vehicle.server.service.impl;

import java.util.Collection;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.api.dto.CouponDTO;
import com.chelvc.cloud.vehicle.server.dao.CouponMapper;
import com.chelvc.cloud.vehicle.server.entity.Coupon;
import com.chelvc.cloud.vehicle.server.service.CouponService;
import lombok.NonNull;
import org.springframework.stereotype.Service;

/**
 * 优惠券业务操作实现
 *
 * @author Woody
 * @date 2023/7/17
 */
@Service
public class CouponServiceImpl extends ServiceImpl<CouponMapper, Coupon> implements CouponService {
    @Override
    public List<CouponDTO> listUserGoodsActiveCoupons(@NonNull Long userId, Collection<Long> goodsCouponIds) {
        return this.baseMapper.listUserGoodsActiveCoupons(userId, goodsCouponIds);
    }
}
